看板

创建看板

POST/api/boards

创建包含名称、类型和配置的看板,可选分配给团队,并验证对其引用资源和报告的访问权限。

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Request body

NameTypeDescription
descriptionstringDescription of the resource.
namerequiredstringDisplay name of the resource.
parametersobjectConfiguration parameters for the resource.
teamIdstring | nullID of the associated team.
typerequiredanyOf
userIdstring | nullID of the associated user.
Example request

Responses

200The operation completed successfully.
NameTypeDescription
createdAtrequiredstringDate and time the record was created.
descriptionrequiredstringDescription of the resource.
idrequiredstringUnique identifier of the resource.
namerequiredstringDisplay name of the resource.
parametersrequiredanyOfConfiguration parameters for the resource.
teamIdrequiredstringID of the associated team.
typerequiredstring
updatedAtrequiredstringDate and time the record was last updated.
userIdrequiredstringID of the associated user.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL